Bug 1349563 - Battery plugin should support multiple batteries
Summary: Battery plugin should support multiple batteries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxpanel
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-23 16:49 UTC by Stanislav Kozina
Modified: 2016-07-13 04:16 UTC (History)
2 users (show)

Fixed In Version: lxpanel-0.8.2-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-13 04:16:13 UTC
Type: Bug


Attachments (Terms of Use)
requested patch from upstream master branch (7.64 KB, text/plain)
2016-06-23 16:49 UTC, Stanislav Kozina
no flags Details

Description Stanislav Kozina 2016-06-23 16:49:04 UTC
Created attachment 1171585 [details]
requested patch from upstream master branch

Description of problem:

lxpanel battery plugin always reports status of battery 0. It should allow the user to specify which battery he wants to monitor.

Version-Release number of selected component (if applicable):

lxpanel-0.8.2-1.fc23.x86_64

The same feature was requested upstream:
https://sourceforge.net/p/lxde/patches/524/

This feature was integrated in the upstream 'master' branch by this commit:

commit 1c8a4455e1c207fa4890182288022d8d190f9b1b
Author: Stanislav Kozina, Ersin <xersin@users.sf.net>
Date:   Sun Nov 29 12:59:54 2015 -0500

    batt: select battery number to monitor
    
    https://sourceforge.net/p/lxde/patches/524/

When I asked when this could be released on lxde-list I got:

"As to release: Andryi has effectively been the only maintainer and he
looks to have had no time to move forward (can't blame him)."

Would it be possible to push this patch to Fedora until upstream recovers please?
If that needs some work I am happy to do it (or even co-maintain lxpanel).

I think that the long term plan is to move to lxqt-panel, but currently that's not an option. It has not yet any battery plugin for example.

Comment 1 Mamoru TASAKA 2016-06-23 16:55:48 UTC
Okay. I want to check this on the upstream git, however currently I cannot access http://git.lxde.org/gitweb/ (timeouts). Is git.lxde.org working??

Comment 2 Mamoru TASAKA 2016-06-24 06:18:15 UTC
I wait for git.lxde.org to come back (it seems that the upstream is now working)

Comment 3 Stanislav Kozina 2016-06-24 09:09:48 UTC
As per the reply I got from Andryi Gritsenko, the lxpanel maintainer, on the status of git.lxde.org on lxde-list:

"It has died few weeks ago and people who can revite it, do revive it,
I hope that will happen soon, just be patient, please. We are sorry for
inconveniences but there is nobody to blame, that's a technical issue."

Also on the matter of future release he says:

"As soon as git.lxde.org come back to life, work on lxpanel will
continue and sometime 0.9 will be released, with few of long wanted
features included."

So hopefully git.lxde.org should come back and even at some point in the future this feature could be released in a 0.9 release (yupiiee!). I'd appreciate if we pull it in Fedora sooner than the 0.9 release, but waiting for the git.lxde.org makes sense. Thanks!

Comment 4 Mamoru TASAKA 2016-06-27 09:04:57 UTC
Patch applied in lxpanel-0.8.2-2.fc25 (As this is reported for rawhide, closing)

Comment 5 Fedora Update System 2016-06-27 09:06:41 UTC
lxpanel-0.8.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f67e20bb3c

Comment 6 Fedora Update System 2016-06-27 09:07:09 UTC
lxpanel-0.8.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b66e3011c

Comment 7 Fedora Update System 2016-06-28 00:26:54 UTC
lxpanel-0.8.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b66e3011c

Comment 8 Fedora Update System 2016-06-28 04:25:05 UTC
lxpanel-0.8.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f67e20bb3c

Comment 9 Fedora Update System 2016-07-10 05:59:21 UTC
lxpanel-0.8.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-07-12 23:52:06 UTC
lxpanel-0.8.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Mamoru TASAKA 2016-07-13 04:16:13 UTC
All pushed.


Note You need to log in before you can comment on or make changes to this bug.